
/* ==========================
   VIDEO PRELOADER OVERLAY
========================== */

#preloader{
    position:fixed;

    top:0;
    left:0;

    width:100%;
    height:100vh;

    background:#000;

    z-index:999999;

    overflow:hidden;

    display:flex;
    justify-content:center;
    align-items:center;

    transition:
    opacity .6s ease,
    visibility .6s ease;
}

/* ==========================
   FULLSCREEN VIDEO
========================== */

#preloader-video{
    width:100%;
    height:100%;

    object-fit:cover;

    display:block;
}

/* ==========================
   HIDE STATE
========================== */

#preloader.hide{
    opacity:0;
    visibility:hidden;
    pointer-events:none;
}

